Archive

Archive for the ‘ubuntu’ Category

python zeromq (pyzmq) install problem

December 13, 2011 1 comment

After some issues with pip and apt, I came across this –> http://johanharjono.com/archives/633 and it works fine now.

Advertisements

easy_install vs pip

November 12, 2011 Leave a comment

After reading the following posts it was pretty clear why pip should be preferred over easy_install –>
http://stackoverflow.com/questions/3220404/why-use-pip-over-easy-install

After reading this i tried looking at — http://www.pip-installer.org/en/latest/index.html

Yes, it’s right, you have an uninstall option and things are cleaner.

I had pip installed. When I started using the pip search it said it doesn’t recognize search. I got —

pip: error: No command by the name pip search

I realized, I was using pip version 0.32 and the world had advanced too much since this was installed! pip search wasn’t available back then. This older version was due to the pip I had installed using apt-get and it would take ages for them to realize there is a new version of a particular package there(no offence, i love apt). So i removed the python-pip package and then did a

sudo easy_install pip

(probably for the last time) It reminds me my earlier days when the first thing I would do after installing windows was to open IE and download firefox!

Anyhow, so now I have pip 1.0.2 installed and it is great to search python packages, install (obviously) and uninstall (not so obvious Mr. Easy_installer) and be happy from now on!

VYM – View your mind

February 7, 2010 Leave a comment

Its a graphical tool to create maps on the basis of your thoughts and see what you know graphically. Just install this and start it right away. Elegant, simple and great with numerous options to play around with your thoughts.

Check out this example

Check out some links which talk about VYM:

http://www.linuxlinks.com/article/20080422150503541/VYM.html

Download it from here

or on debian systems.

sudo apt-get install vym

Enjoy! Learn yourself..your mind.

Categories: linux, ubuntu Tags: , , ,

Paint in ubuntu

February 5, 2010 Leave a comment

If you are searching for a normal paint program on linux like MS paint, there are many, but the best and easiest, clean thing is “kolourpaint4”
Actually it is more than a Microsoft Paint clone. It is a photo editor and a paint software with much more than what MS paint offers. Visit this for more reviews.

At your terminal type –

sudo apt-get install kolourpaint4

Categories: linux, ubuntu Tags: , , ,

msttcorefonts removal

October 12, 2009 5 comments

Installing msttcorefonts never happened instead it created lots of troubles for me. It just never let me silently update, upgrade, install using APT

[zubin@mordor ~]$  sudo dpkg –purge msttcorefonts
(Reading database … 147255 files and directories currently installed.)
Removing msttcorefonts …
W: /usr/share/fonts/truetype/msttcorefonts/Verdana.ttf: not registered.
W: /usr/share/fonts/truetype/msttcorefonts/Arial_Italic.ttf: not registered.
W: /usr/share/fonts/truetype/msttcorefonts/Arial.ttf: not registered.
W: /usr/share/fonts/truetype/msttcorefonts/Arial_Bold_Italic.ttf: not registered.
W: /usr/share/fonts/truetype/msttcorefonts/Comic_Sans_MS_Bold.ttf: not registered.
W: /usr/share/fonts/truetype/msttcorefonts/Andale_Mono.ttf: not registered.
W: /usr/share/fonts/truetype/msttcorefonts/Times_New_Roman_Bold.ttf: not registered.
and many more…

dpkg: error processing msttcorefonts (–purge):
subprocess pre-removal script returned error exit status 1

These fonts were provided by Microsoft “in the interest of cross-
platform compatibility”.  This is no longer the case, but they are
still available from third parties.

–11:15:26–  http://surfnet.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
=> `./andale32.exe’
Connecting to 10.200.13.50:80… connected.
Proxy request sent, awaiting response… 407 Proxy Authentication Required
11:15:26 ERROR 407: Proxy Authentication Required.

–11:15:26– http://superb-east.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
=> `./andale32.exe’
Connecting to 10.200.13.50:80… connected.
Proxy request sent, awaiting response… 407 Proxy Authentication Required
11:13:00 ERROR 407: Proxy Authentication Required.

similar errors… you just cannot do apt stuff without doing something about this.

andale32.exe: No such file or directory
All done, errors in processing 1 file(s)
dpkg: error while cleaning up:
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
msttcorefonts

Solution:

The best way out of this annoying trouble is to remove these packages completely from the system which won’t get installed neither get removed

[zubin@mordor ~]$  sudo vi /var/lib/dpkg/info/msttcorefonts.prerm

remove or comment the defoma-font purge -all line 🙂

[zubin@mordor ~]$  sudo dpkg –purge msttcorefonts
(Reading database … 147255 files and directories currently installed.)
Removing msttcorefonts …
Purging configuration files for msttcorefonts …

[zubin@mordor ~]$  remove msttcorefonts
Reading package lists… Done
Building dependency tree
Reading state information… Done
Package msttcorefonts is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

[zubin@mordor ~]$ 🙂 🙂

Categories: linux, ubuntu Tags: , , , ,

Ubuntu fun stuff!

June 10, 2009 2 comments

Some stuff I stumbled upon in the past few days. It may seem lame but anyway try it out! 😀

  1. Xjokes: These are some graphic jokes as the name is quite clear.
    sudo apt-get install xjokes
    After installation, type the following one by one at the terminal!
    blackhole
    yasiti
    mori1
    mori2
  2. Free the fish: Hit ALT + F2. This will open the run dialog box. type: free the fishLook at the cute thing on your screen. Well its good for sometime but after a while it really annoys! “Unfreeing” the free fish is not so obvious or may be i don’t know how to! Type this at the terminal ->
    killall gnome-panel
  3. gegls from outer space Same thing run this in run box.
    gegls from outer space
    and play the game. Also please comment back iof you ever complete the level 1. 😛 I don’t think anyone can finish the game.

FLash AMD64 ubuntu! phew!

After solving the graphic card problem I had (did not quite solve it! it just worked…go by the book and restart :P) I thought of making flash work in ubuntu. All the standard ones u’d probably apt-get wont make youtube videos work. Finally, I do what all ubuntu users would hate to do…yeah get the .deb and make install it. But adobe.com does not provide flash support for AMD 64 systems which was really sad. So the only way out was using nspluginwrapper on the flash core packages –>
http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_10_linux.tar.gz

I found a web-page which has a script written to do it all. But as it says you will need getlibs before you get lucky –> http://meandubuntu.wordpress.com/2008/08/20/flash-10-rc-on-ubuntu-amd64/

Awesome script 🙂 Videos and flash works! Things are good.

Categories: ubuntu Tags: , ,
%d bloggers like this: